Get listing detail
curl --request GET \
--url https://scrapebadger.com/v1/etsy/listings/{listing_id} \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/etsy/listings/{listing_id}"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/etsy/listings/{listing_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/etsy/listings/{listing_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/etsy/listings/{listing_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/etsy/listings/{listing_id}")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/etsy/listings/{listing_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyEtsy endpoints
Get listing detail
Get listing detail.
GET
/
v1
/
etsy
/
listings
/
{listing_id}
Get listing detail
curl --request GET \
--url https://scrapebadger.com/v1/etsy/listings/{listing_id} \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/etsy/listings/{listing_id}"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/etsy/listings/{listing_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/etsy/listings/{listing_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/etsy/listings/{listing_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/etsy/listings/{listing_id}")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/etsy/listings/{listing_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyGet listing detail.
Credits: 10 per successful request. Failed requests and empty result sets are not charged.
Browse all Etsy endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
required
Listing id.
string
default:"US"
Country.
string
default:"USD"
Currency.
string
default:"en-US"
Language.
Response
{
"listing_id": "4589988962",
"title": "Handmade Acorn and Oak leaves mug ceramic",
"url": "https://www.etsy.com/listing/4589988962/handmade-acorn-and-oak-leaves-mug",
"description": "A lovely handmade acorn and oak leaves mug. Thrown on the wheel using speckled stoneware clay. Then hand decorated and hand glazed using underglaze and coloured glazes. Each one is unique. The mug you see is the one you will receive. \nAprox 10cm tall and 9cm wide at rim",
"price": 33.45,
"original_price": null,
"currency": "USD",
"availability": "https://schema.org/InStock",
"quantity": 1,
"category": "Home & Living < Kitchen & Dining < Drink & Barware < Drinkware < Mugs",
"images": [
"https://i.etsystatic.com/13626694/r/il/c07037/8682580345/il_fullxfull.8682580345_rdc6.jpg"
],
"image_details": [
{
"@type": "ImageObject",
"@context": "https://schema.org",
"author": "GlazyLittleThings",
"contentURL": "https://i.etsystatic.com/13626694/r/il/c07037/8682580345/il_fullxfull.8682580345_rdc6.jpg",
"thumbnail": "https://i.etsystatic.com/13626694/r/il/c07037/8682580345/il_340x270.8682580345_rdc6.jpg",
"description": "May include: A ceramic mug with a speckled cream-colored glaze featuring a hand-painted pattern of brown acorns, black berries, and green oak leaves. The rim has a decorative drip of light green glaze, and the handle is curved and sturdy."
}
],
"shop_name": "GlazyLittleThings",
"shop_id": "13626694",
"shop_url": "https://www.etsy.com/shop/GlazyLittleThings",
"rating": null,
"review_count": null,
"is_ad": null,
"shipping": {
"@type": "OfferShippingDetails",
"shippingRate": {
"@type": "MonetaryAmount",
"value": "0",
"currency": "USD"
},
"shippingOrigin": {
"@type": "DefinedRegion",
"addressCountry": "GB"
}
},
"variations": [],
"breadcrumbs": [
{
"@type": "ListItem",
"position": 1,
"name": "Home & Living",
"item": "https://www.etsy.com/c/home-and-living?explicit=1&ref=breadcrumb_listing"
}
],
"videos": [
{
"@type": "VideoObject",
"@context": "https://schema.org",
"name": "Handmade Acorn and Oak leaves mug ceramic",
"description": "A lovely handmade acorn and oak leaves mug. Thrown on the wheel using speckled stoneware clay. Then hand decorated and hand glazed using underglaze and coloured glazes. Each one is unique. The mug you see is the one you will receive. \nAprox 10cm tall and 9cm wide at rim",
"thumbnailUrl": [
"https://v.etsystatic.com/e/videos/af35/72a378b0-9c16-4092-9cc0-6bf56e25e18a/listing_thumbnail_v1.jpg"
],
"uploadDate": "2026-10-06T16:54:16-04:00",
"duration": "PT14S",
"contentURL": "https://v.etsystatic.com/e/videos/af35/72a378b0-9c16-4092-9cc0-6bf56e25e18a/vid_v1.mp4"
}
]
}
Example
curl --get 'https://scrapebadger.com/v1/etsy/listings/4589988962' \
--header 'X-API-Key: YOUR_API_KEY'

